## ncrack 0.5

=== nsock/examples/Makefile ===
CC = gcc
CCOPT =
DEFS = 
NBASEDIR=../../nbase
NSOCKLIB=../src/libnsock.a
NBASELIB=$(NBASEDIR)/libnbase.a
OPENSSLLIB=-lssl -lpcap -lcrypto
INCLS = -I../include -I$(NBASEDIR)
CFLAGS =  -I/usr/local/include -Wall -g $(CCOPT) $(DEFS) $(INCLS)
LDFLAGS =
PCAPBASEDIR=../../libpcap
PCAPLIB=$(PCAPBASEDIR)/libpcap.a
RM = rm -f

TARGETS = nsock_test_timers nsock_telnet

all: $(TARGETS)

nsock_telnet: nsock_telnet.o $(NSOCKLIB)
	$(CC) -o $@ $(CFLAGS) nsock_telnet.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB)

nsock_test_timers: nsock_test_timers.o $(NSOCKLIB)
	$(CC) -o $@ $(CFLAGS) nsock_test_timers.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB)

nsock_pcap: nsock_pcap.o $(NSOCKLIB) $(PCAPLIB)
	$(CC) -o $@ $(CFLAGS) nsock_pcap.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB) $(PCAPLIB)

clean:
	$(RM) *.o $(TARGETS)

=== debian/changelog ===
ncrack (0.5-3) unstable; urgency=medium

  * Team upload.
  * Build against libssl1.0-dev. Closes: #844303

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 29 Nov 2016 14:33:33 +0100

ncrack (0.5-2) unstable; urgency=medium

  * Fix FTBS due to missing build-depends on zlib1g-dev (Closes: #835787).
    Thanks to Kurt Roeckx.

 -- Marcos Fouces <mfouces@yahoo.es>  Wed, 31 Aug 2016 00:25:15 +0200

ncrack (0.5-1) unstable; urgency=low

  * Debian initial release. (Closes: #830499)
  * Maintenance by the pkg-security team

 -- Marcos Fouces <mfouces@yahoo.es>  Mon, 25 Jul 2016 21:12:36 +0200

ncrack (0.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 18 Apr 2016 12:01:13 +0200

ncrack (0.4-alpha-1kali2) kali-dev; urgency=medium

  * Drop build-dependency and dependency on python-support (obsolete package)
  * Use debhelper 9

 -- Sophie Brun <sophie@freexian.com>  Thu, 28 Jan 2016 10:42:19 +0100

ncrack (0.4-alpha-1kali1) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 17:49:42 -0500

ncrack (0.4-alpha-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Tue, 08 Jan 2013 18:04:23 -0700

=== debian/control ===
Source: ncrack
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <mfouces@yahoo.es>
Build-Depends: debhelper (>= 9), autotools-dev, libssl1.0-dev, zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://nmap.org/ncrack/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/ncrack.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/ncrack.git

Package: ncrack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-speed network authentication cracking tool
 Ncrack is a high-speed network authentication cracking tool. 
 It was built to help companies secure their networks by 
 proactively testing all their hosts and networking devices 
 for poor passwords. Security professionals also rely on 
 Ncrack when auditing their clients. Ncrack was designed 
 using a modular approach, a command-line syntax similar to 
 Nmap and a dynamic engine that can adapt its behaviour 
 based on network feedback. It allows for rapid, yet 
 reliable large-scale auditing of multiple hosts.
 .
 Ncrack's features include a very flexible interface granting 
 the user full control of network operations, allowing for 
 very sophisticated bruteforcing attacks, timing templates 
 for ease of use, runtime interaction similar to Nmap's and 
 many more. Protocols supported include RDP, SSH, http(s), 
 SMB, pop3(s), VNC, FTP, and telnet.
 .
 Be sure to read the Ncrack man page (https://nmap.org/ncrack/man.html)
 to fully understand Ncrack usage.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

=== debian/watch ===
version=3

http://nmap.org/ncrack/ dist/ncrack-(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ncrack 0.6

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the installer for Ncrack

NCRACK_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NCRACK_VERSION' ../ncrack.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NCRACK_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NCRACK_NUM_VERSION' ../ncrack.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')

NAME_VERSION = ncrack-$(NCRACK_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

IMAGE_STAGING_DIR = $(NAME_VERSION)

NCRACK_BUILD_DIR = ncrack-build
NCRACK_STAGING_DIR = Ncrack

PREFIX = /usr/local

PACKAGEMAKER = /Developer/usr/bin/packagemaker

EXTRA_DIST_FILES = $(addprefix $(IMAGE_STAGING_DIR)/,COPYING README)

CONFIGURE_ARGS = --prefix="$(PREFIX)" --without-openssl-header-check CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
UNIVERSAL_CC = gcc
UNIVERSAL_CXX = g++
UNIVERSAL_CPPFLAGS = -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.9 -arch i386
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
UNIVERSAL_LDFLAGS = -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk -mmacosx-version-min=10.9 -arch i386

CC = $(UNIVERSAL_CC)
CXX = $(UNIVERSAL_CXX)
CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

$(IMAGE_NAME): $(IMAGE_STAGING_DIR)/$(PKG_NAME) $(EXTRA_DIST_FILES)
	rm -f $@
	hdiutil create -imagekey zlib-level=9 -srcfolder $(IMAGE_STAGING_DIR) $@

$(IMAGE_STAGING_DIR)/$(PKG_NAME): stage-ncrack README COPYING.formatted
	mkdir -p $(IMAGE_STAGING_DIR)
	$(PACKAGEMAKER) --doc ncrack.pmdoc --id org.insecure.ncrack --title "Ncrack $(NCRACK_VERSION)" -o $@

export-%:
	rm -rf $*
	mkdir $*
	git -C .. archive master | tar -x -C $*

stage-ncrack: export-$(NCRACK_BUILD_DIR)
	cd $(NCRACK_BUILD_DIR) && ./configure $(CONFIGURE_ARGS)
	make -C $(NCRACK_BUILD_DIR)
	rm -rf $(NCRACK_STAGING_DIR)
	make -C $(NCRACK_BUILD_DIR) install DESTDIR="`pwd`/$(NCRACK_STAGING_DIR)"


# make-bundle.sh uses these to build its authorization wrapper.
export CC CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

$(IMAGE_STAGING_DIR)/README:
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -f README $(IMAGE_STAGING_DIR)/

$(IMAGE_STAGING_DIR)/COPYING:
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -f ../COPYING $(IMAGE_STAGING_DIR)/

COPYING.formatted:
# Use the license formatter from the Windows installer.
	../mswin32/license-format/licformat.sh ../COPYING > $@

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NCRACK_BUILD_DIR)
	rm -rf $(NCRACK_STAGING_DIR)

	rm -f COPYING.formatted
	rm -f $(IMAGE_NAME)

.PHONY: clean export-% stage-%

=== debian/changelog ===
ncrack (0.6-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:13 +0000

ncrack (0.6-1) unstable; urgency=medium

  * Team upload

  [ Marcos Fouces ]
  * New upstream version 0.6
  * Rework patches for new upstream release
  * Bump Standards-Version to 4.1.1 (no changes required)

  [ Hilko Bengen ]
  * Patch opensshlib/configure so OpenSSL 1.1 is recognized
    (upstream commit 150b06b53a78b6a334f1147504ed6218293f3318)
  * Add patch to implement OpenSSL 1.1 compatibility
    (upstream commit 1c2f805e65e2e1231ecbe2ba1e5d83245c240da3)
  * Closes: #844303

 -- Hilko Bengen <bengen@debian.org>  Sun, 14 Jan 2018 18:03:21 +0100

ncrack (0.5-6) unstable; urgency=high

  * Team upload.
  * Reupload as the -4 upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2017 17:51:27 +0200

ncrack (0.5-5) unstable; urgency=medium

  * Team upload.
  * Update the previous patch, with the Fedora one

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2017 16:20:34 +0200

ncrack (0.5-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix build with gcc 7. Closes: #853570
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 4.1.0.
  * Add another patch to make autoreconf work.
  * Drop build-dependency on autotools-dev, it's taken care of by debhelper.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 25 Aug 2017 11:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ncrack
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
-Uploaders: Marcos Fouces <mfouces@yahoo.es>
-Build-Depends: debhelper (>= 9), autotools-dev, libssl1.0-dev, zlib1g-dev
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
+Build-Depends: debhelper (>= 10), libssl-dev (>= 1.1), zlib1g-dev
+Standards-Version: 4.1.1
 Homepage: http://nmap.org/ncrack/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/ncrack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/ncrack.git
@@ -13,7 +14,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High-speed network authentication cracking tool
- Ncrack is a high-speed network authentication cracking tool. 
+ Ncrack is a high-speed network authentication cracking tool.
  It was built to help companies secure their networks by 
  proactively testing all their hosts and networking devices 
  for poor passwords. Security professionals also rely on

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

## ncrack 0.6%2Bdebian

=== debian/changelog ===
ncrack (0.6+debian-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix copyright file by putting explanations in a Comment field

  [ Marcos Fouces ]
  * Add examples on nsock use.
  * Set proper name to docs file.
  * Bump to dh 11.
  * Repack upstream tarball in order to remove macOSX and windows
    directories. They are not relevant for Debian.
  * Set proper header to openssl 1.1 patches.
  * Use https for URL of machine-readable copyright format file.
  * Add upstream metadata.
  * Add upstream signing key and update watch file.
  * Fix some minor spelling errors.
  * Bump to Standards-version 4.2.1 (no changes required).
  * Update copyright years.
  * Update copyright file to include all upstream
    copyright holders with proper licenses.
  * Export signing key without extra signatures.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Nov 2018 15:30:45 +0100

=== debian/control ===
Source: ncrack
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 11), libssl-dev (>= 1.1), zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://nmap.org/ncrack/
Vcs-Git: https://salsa.debian.org/pkg-security-team/ncrack.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/ncrack

Package: ncrack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-speed network authentication cracking tool
 Ncrack is a high-speed network authentication cracking tool.
 It was built to help companies secure their networks by
 proactively testing all their hosts and networking devices
 for poor passwords. Security professionals also rely on
 Ncrack when auditing their clients. Ncrack was designed
 using a modular approach, a command-line syntax similar to
 Nmap and a dynamic engine that can adapt its behaviour
 based on network feedback. It allows for rapid, yet
 reliable large-scale auditing of multiple hosts.
 .
 Ncrack's features include a very flexible interface granting
 the user full control of network operations, allowing for
 very sophisticated bruteforcing attacks, timing templates
 for ease of use, runtime interaction similar to Nmap's and
 many more. Protocols supported include RDP, SSH, http(s),
 SMB, pop3(s), VNC, FTP, and telnet.
 .
 Be sure to read the Ncrack man page (https://nmap.org/ncrack/man.html)
 to fully understand Ncrack usage.

## ncrack 0.6+debian

=== debian/changelog ===
ncrack (0.6+debian-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:17:11 +0800

## ncrack 0.7%2Bdebian

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper (>= 11), libssl-dev (>= 1.1), zlib1g-dev
-Standards-Version: 4.2.1
-Homepage: http://nmap.org/ncrack/
+Uploaders: Marcos Fouces <marcos@debian.org>
+Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.1), zlib1g-dev
+Standards-Version: 4.6.2
+Homepage: https://nmap.org/ncrack/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/ncrack.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ncrack
+Rules-Requires-Root: no
 
 Package: ncrack
 Architecture: any

## ncrack 0.7+debian

=== docs/Makefile ===

all: man

man: ncrack-man-enclosure.xml refguide.xml xsl/man.nroff.xsl
	xsltproc --stringparam doc.class man --xinclude --output ncrack.1 xsl/man.nroff.xsl ncrack-man-enclosure.xml

=== debian/changelog ===
ncrack (0.7+debian-6) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/{implicit-declaration-in-configure.patch, implicit-declaration-
    xmalloc.patch}: add missing headers and defines to resolve -
    Werror=implicit-function-declaration build failures (Closes:
    #1065799).

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 22 Apr 2024 08:59:25 +0700

ncrack (0.7+debian-5) unstable; urgency=medium

  [ Peter Wienemann ]
  * Allow zlib versions with two-part version number (Closes: #1058286)
  * Make source package build after successful build (Closes: #1048666)

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 07 Feb 2024 09:02:26 +0700

ncrack (0.7+debian-4) unstable; urgency=medium

  * Bump to Standards-Version 4.6.2 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 01 Mar 2023 22:55:21 +0100

ncrack (0.7+debian-3) unstable; urgency=medium

  * Update uploader email to @debian.org.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 10 Feb 2021 23:58:23 +0100

ncrack (0.7+debian-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Marcos Fouces ]
  * Set Rules-Requires-Root: no
  * Bump to Standards-Version 4.5.0 (no changes required).
  * Fix build with gcc-10 (Closes: #957587)
  * Bump to debhelper-compat 13.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sat, 25 Apr 2020 11:49:44 +0200

ncrack (0.7+debian-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 0.7+debian
  * Update debian/copyright
  * Refresh patches and remove merged patches
    - remove opensshlib-configure-openssl1.1.patch
    - remove opensshlib-implement-openssl1.1.patch
  * Update path of files listed in Files-Excluded
  * Bump Standards-Version to 4.4.0 (no changes)

  [ Marcos Fouces ]
  * d/control:
   - Switch to debhelper-compat level 12. Drop obsolete d/compat file.
   - Bump to Standards-Version 4.3.0 (no changes required).
  * d/rules
    - Override dh_dwz.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2019 16:40:47 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Files provided by upstream overwritten during the build
# (they need to be restored after the build to ensure that the source package
# can be built after successful build - see https://bugs.debian.org/1048666)
FILES = configure nbase/configure nbase/nbase_config.h.in ncrack_config.h.in \
	nsock/include/nsock_config.h.in nsock/src/aclocal.m4 nsock/src/configure \
	opensshlib/config.h.in opensshlib/configure opensshlib/install-sh

%:
	dh $@

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	for F in $(FILES); do \
		if [ -w $$F.upstream ]; then \
			mv -f $$F.upstream $$F; \
		fi \
	done

override_dh_autoreconf:
	for F in $(FILES); do \
		cp -f $$F $$F.upstream; \
	done
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_dwz:

=== debian/watch ===
version=4
opts="uversionmangle=s/(beta|test)/~\\1/i,pgpsigurlmangle=s%/dist/(.*)$%/dist/sigs/\\1.asc%,dversionmangle=s/\+debian\d*$//,repacksuffix=+debian,repack,compression=xz" \
    https://nmap.org/ncrack/dist/ncrack-(\d+\..*)\.tar.*
